- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QCamera
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QCamera

The following members of class QCamera are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated)` viewMatrix : const QMatrix4x4

## Public Functions

`(deprecated)` QMatrix4x4 | viewMatrix() const

## Signals

`(deprecated)` void | viewMatrixChanged()

## Property Documentation

### `[read-only, deprecated]` viewMatrix : const QMatrix4x4

This property is deprecated. We strongly advise against using it in new code.

Holds the camera's view matrix in coordinates relative to the parent entity.

Access functions:

QMatrix4x4 | viewMatrix() const

Notifier signal:

void | viewMatrixChanged()